Subject: Re: EMAC OF binding....

From: David Gibson <[email-masked]>
Date: Tue, 9 Jan 2007 09:12:19 +1100

On Tue, Jan 09, 2007 at 07:32:32AM +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2007-01-08 at 07:38 +0100, Segher Boessenkool wrote:
> > >  - compatible        : compatible list, contains 2 entries, first is 
> > > "emac-CHIP" where
> > >                        CHIP is the host ASIC (440gx, 405gp, axon) and 
> > > second is either
> > >                        "emac" or "emac4".
> > >                        For axon, thus, we have: "emac-axon","emac4"
> > 
> > "ibm,emac-axon" etc. please.
> 
> Why ? In the -content- of a compatible property ? haven't seen that much
> before.

I tend to agree with Segher.  "emac" is a bit too generic - no doubt
some company either already has, or will later decide that "emac" is
an obvious name for their Ethernet MAC.  We want something to specify
that we're talking about IBM Microelectronics notion of "emac".

> > >  - local-mac-address : 6 bytes, MAC address
> > 
> > Don't forget "mac-address", if the device is opened
> > in OF; and "max-frame-size" please.
> 
> Yeah well, doesn't need to specify that, it's already specified :-) I'm
> talking about what the driver wants.
> 
> > >  - cell-index        : 1 cell, hardware index of the EMAC cell on a 
> > > given ASIC (typically
> > >                        0x00000000 and 0x00000001 for EMAC-0 and EMAC-1 
> > > on each Axon chip)
> > 
> > Can you find a better name?  What is this used for, anyway?
> 
> Propose one :-) There are various bits here or there where you have to
> know which EMAC in a chip you are talking about (clock control bits,
> that sort of thing).
> 
> > >  - max-mtu           : 1 cell, maximum MTU supported in bytes
> > 
> > See "max-frame-size", MTU is on a higher level than device
> > level and as such shouldn't be here; the OF networking layer
> > can set something like this if it wants.
> 
> Except that I don't want OF to set anything dynamically here. This is a
> way to prevent EMAC to do jumbo frames in fact.
> 
> > >  - mal-burst-size    : 1 cell, MAL burst size (used to calculate 
> > > thresholds)
> > 
> > In bytes?
> 
> Yup.

We should really set up a central place to record all these device
tree nodes and properties we're defining.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson